pub mod atom;

#[macro_export]
macro_rules! xml_tag_text {
    ($a: expr, $b: expr, $c: expr) => {
        let mut tag = XMLElement::new($a);
        tag.add_text($b).unwrap();
        $c.add_child(tag).unwrap();
    };
}

#[macro_export]
macro_rules! xml_tag_attribute {
    ($a: expr, $b: expr, $( $c: expr),+ ) => {
        let mut tag = XMLElement::new($a);
        $(
            tag.add_attribute($c.0,$c.1);
        )+
        $b.add_child(tag).unwrap();

    };
}

fn escape_html(unescaped_html: String) -> String {
    html_escape::encode_text(&unescaped_html).to_string()
}
